Bug 176409 - Using OpenType Font (otf), gtk2 applications crash in fontconfig 2.3.93.
Using OpenType Font (otf), gtk2 applications crash in fontconfig 2.3.93.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 05:29 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3.93.cvs20060124-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 04:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2005-12-22 05:29:31 EST
Description of problem:
$LANG=en_US.UTF-8 gedit
Pango-ERROR **: file basic-fc.c: line 347 (basic_engine_shape): assertion
failed: (face != NULL)
aborting...

$ LANG=en_US.UTF-8 gdb gnome-font-properties
GNU gdb Red Hat Linux (6.3.0.0-1.94rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) r
Starting program: /usr/bin/gnome-font-properties
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0x4c3000
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208342864 (LWP 8033)]

Pango-ERROR **: file basic-fc.c: line 347 (basic_engine_shape): assertion
failed: (face != NULL)
aborting...

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread -1208342864 (LWP 8033)]
0x0040a999 in g_logv () from /usr/lib/libglib-2.0.so.0
(gdb) bt
#0  0x0040a999 in g_logv () from /usr/lib/libglib-2.0.so.0
#1  0x0040ac57 in g_log () from /usr/lib/libglib-2.0.so.0
#2  0x0040acc9 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#3  0x0088dc4f in basic_engine_shape (engine=0x954a570, font=0x960f560,
    text=0x95f5380 "Help", length=4, analysis=0x95fe20c, glyphs=0x95f5428)
    at basic-fc.c:347
#4  0x002e1cd5 in _pango_engine_shape_shape (engine=0x954a570, font=0x960f560,
    text=0x95f5380 "Help", length=4, analysis=0x95fe20c, glyphs=0x95f5428)
    at pango-engine.c:73
#5  0x002f0aa9 in pango_shape (text=0x95f5380 "Help", length=4,
    analysis=0x95fe20c, glyphs=0x95f5428) at shape.c:47
#6  0x002e4ce5 in shape_run (line=0x95f5408, state=0xbfbc32a8, item=0x95fe200)
    at pango-layout.c:2707
#7  0x002e7947 in process_item (layout=0x94f8518, line=0x95f5408,
    state=0xbfbc32a8, force_fit=1, no_break_at_end=0) at pango-layout.c:2799
#8  0x002e7e9f in pango_layout_check_lines (layout=0x94f8518)
    at pango-layout.c:3001
#9  0x002e87a4 in pango_layout_get_extents_internal (layout=0x94f8518,
    ink_rect=0x0, logical_rect=0xbfbc348c, line_extents=0x0)
    at pango-layout.c:2031
#10 0x00e8dc02 in gtk_label_new () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x0031faac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#12 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#13 0x00312d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#14 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#15 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#16 0x0032638f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#17 0x00ee3b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#18 0x00ee3db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x00f8127d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x00e62add in gtk_hbox_new () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x0031faac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#22 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#23 0x00312d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#24 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#25 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#26 0x0032638f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#27 0x00ee3b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00ee3db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x00f8127d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x00dd58f6 in gtk_alignment_new () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x0031faac in g_cclosure_marshal_VOID__BOXED ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libgobject-2.0.so.0
#32 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#33 0x00312d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#34 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#35 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#36 0x0032638f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#37 0x00ee3b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x00ee3db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x00f8127d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x00ddddd5 in gtk_button_set_alignment () from /usr/lib/libgtk-x11-2.0.so.0
#41 0x0031faac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#42 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#43 0x00312d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#44 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#45 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#46 0x0032638f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#47 0x00ee3b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#48 0x00ee3db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#49 0x00f8127d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#50 0x00dd6f59 in gtk_button_box_get_type () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#51 0x00e62229 in gtk_hbutton_box_new () from /usr/lib/libgtk-x11-2.0.so.0
#52 0x0031faac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#53 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#54 0x00312d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#55 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#56 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#57 0x0032638f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#58 0x00ee3b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#59 0x00ee3db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#60 0x00f8127d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#61 0x00f78aa5 in gtk_vbox_new () from /usr/lib/libgtk-x11-2.0.so.0
#62 0x0031faac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#63 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#64 0x00312d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#65 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#66 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#67 0x0032638f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#68 0x00ee3b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#69 0x00ee3db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#70 0x00f8127d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#71 0x00f87e26 in gtk_window_group_new () from /usr/lib/libgtk-x11-2.0.so.0
#72 0x0031faac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#73 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#74 0x00312c9a in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#75 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#76 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#77 0x0032638f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#78 0x00ee3b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#79 0x00ee3db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#80 0x00f8127d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#81 0x00f88173 in gtk_window_group_new () from /usr/lib/libgtk-x11-2.0.so.0
#82 0x00f90a25 in gtk_window_new () from /usr/lib/libgtk-x11-2.0.so.0
#83 0x0031f4f8 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#84 0x00311585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#85 0x00312c9a in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#86 0x00324038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#87 0x00325032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#88 0x003252d7 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#89 0x00f8214a in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
#90 0x0804e320 in main ()

Version-Release number of selected component (if applicable):
2.3.93-2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
pango-1.11.1-2

All gtk2 can't start in fontconfig-2.3.93-2.
Comment 1 Sammy 2005-12-22 10:56:13 EST
had the same problem. Got fixed by doing "fc-cache -f -v" and restarting
X server (I don't know which one fixed it.)
Comment 2 sangu 2005-12-23 07:39:53 EST
Doing fc-cache -f -v and restarting, the same problem still happens.

Not fixed. 
Comment 3 sangu 2005-12-24 12:25:10 EST
gdb gvim in LANG=ko_KR.UTF-8
(gdb) r
warning: cannot close "shared object read from target memory": File in wrong format
Starting program: /usr/bin/gvim
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0x1be000
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208752464 (LWP 8015)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208752464 (LWP 8015)]
FcFreeTypeCharIndex (face=0x0, ucs4=40) at fcfreetype.c:2308
2308        if (face->charmap)
(gdb) bt
#0  FcFreeTypeCharIndex (face=0x0, ucs4=40) at fcfreetype.c:2308
#1  0x00284a33 in pango_fc_font_real_get_glyph (font=0x8f87d38, wc=40)
    at pangofc-font.c:516
#2  0x00ab14ae in pango_cairo_fc_font_get_glyph (font=0x8f87d38, wc=40)
    at pangocairo-fcfont.c:335
#3  0x002839ba in pango_fc_font_get_glyph (font=0x8f87d38, wc=40)
    at pangofc-font.c:620
#4  0x0055527e in hangul_engine_shape (engine=0x8e802b0, font=0x8f87d38,
    text=0x901870e "(F)", length=1, analysis=0x901a3cc, glyphs=0x9028fb0)
    at hangul-fc.c:287
#5  0x00d07cd5 in _pango_engine_shape_shape (engine=0x8e802b0, font=0x8f87d38,
    text=0x901870e "(F)", length=1, analysis=0x901a3cc, glyphs=0x9028fb0)
    at pango-engine.c:73
#6  0x00d16aa9 in pango_shape (text=0x901870e "(F)", length=1,
    analysis=0x901a3cc, glyphs=0x9028fb0) at shape.c:47
#7  0x00d0ace5 in shape_run (line=0x9017de8, state=0xbff59658, item=0x901a3c0)
    at pango-layout.c:2707
#8  0x00d0d947 in process_item (layout=0x8e81320, line=0x9017de8,
    state=0xbff59658, force_fit=0, no_break_at_end=0) at pango-layout.c:2799
#9  0x00d0de9f in pango_layout_check_lines (layout=0x8e81320)
    at pango-layout.c:3001
#10 0x00d0e7a4 in pango_layout_get_extents_internal (layout=0x8e81320,
    ink_rect=0x0, logical_rect=0xbff5983c, line_extents=0x0)
---Type <return> to continue, or q <return> to quit---
    at pango-layout.c:2031
#11 0x006fac02 in gtk_label_new () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x00140aac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#13 0x00132585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#14 0x00133d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#15 0x00145038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#16 0x00146032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#17 0x0014738f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#18 0x00750b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x00750db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x007ee27d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x006cfadd in gtk_hbox_new () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x00140aac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#23 0x00132585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#24 0x00133d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#25 0x00145038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#26 0x00146032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#27 0x0014738f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#28 0x00750b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#29 0x00750db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x007ee27d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x00716c9c in gtk_menu_item_new_with_label ()
   from /usr/lib/libgtk-x11-2.0.so.0
#32 0x00140aac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#33 0x00132585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#34 0x00133d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#35 0x00145038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#36 0x00146032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#37 0x0014738f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#38 0x00750b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x00750db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x007ee27d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#41 0x0071448b in gtk_menu_bar_new () from /usr/lib/libgtk-x11-2.0.so.0
#42 0x00140aac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#43 0x00132585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#44 0x00133d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#45 0x00145038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#46 0x00146032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#47 0x0014738f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#48 0x00750b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#49 0x00750db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#50 0x007ee27d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#51 0x007e5aa5 in gtk_vbox_new () from /usr/lib/libgtk-x11-2.0.so.0
#52 0x00140aac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#53 0x00132585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#54 0x00133d7e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#55 0x00145038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#56 0x00146032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#57 0x0014738f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#58 0x00750b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#59 0x00750db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#60 0x007ee27d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#61 0x007f4e26 in gtk_window_group_new () from /usr/lib/libgtk-x11-2.0.so.0
#62 0x00140aac in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#63 0x00132585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#64 0x00133c9a in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#65 0x00145038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#66 0x00146032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#67 0x0014738f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#68 0x00750b9e in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#69 0x00750db6 in gtk_signal_new () from /usr/lib/libgtk-x11-2.0.so.0
#70 0x007ee27d in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#71 0x007f5173 in gtk_window_group_new () from /usr/lib/libgtk-x11-2.0.so.0
#72 0x007fda25 in gtk_window_new () from /usr/lib/libgtk-x11-2.0.so.0
#73 0x001404f8 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#74 0x00132585 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#75 0x00133c9a in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#76 0x00145038 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#77 0x00146032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#78 0x001462d7 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#79 0x007ef14a in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
#80 0x0816da5f in gui_mch_open ()
#81 0x081673d5 in gui_init ()
#82 0x08156e55 in set_termname ()
#83 0x0816781e in gui_start ()
#84 0x080db939 in main ()
Comment 4 sangu 2005-12-28 13:03:10 EST
Is this  Pango Bug?
See Also : 
Pango crash [pango_fc_font_real_get_glyph]:
http://bugzilla.gnome.org/show_bug.cgi?id=324831
Pango crash while shaping Japanese glyphs [basic_engine_shape]:
http://bugzilla.gnome.org/show_bug.cgi?id=324835
Comment 5 sangu 2006-01-17 05:18:53 EST
Only using OpenType font(otf) on gtk2, this bug seem to happens in (fontconfig
2.3.93, pango 1.11.1, 1.11.2).

Note You need to log in before you can comment on or make changes to this bug.